PindoDocs
Web AppWeb

Text-to-Speech

Generate high-quality, natural-sounding audio from text. TTS currently supports Kinyarwanda.

POST/ai/tts/{lang}

Headers: Content-Type: application/json

Request

FieldTypeDescription
textrequiredstringThe text to convert to speech.
langrequiredstringLanguage for the speech, e.g. rw for Kinyarwanda.
speech_ratefloatRate of speech. Defaults to 1.0.
audiofileOptional sample audio file.

Example request

# Public access
curl -X POST "https://api.pindo.io/ai/tts/rw/public" \
     -H "Content-Type: application/json" \
     -d '{"text": "Muraho neza!", "speech_rate": 1.0}'

# Authenticated access
curl -X POST "https://api.pindo.io/ai/tts/rw" \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
     -d '{"text": "Muraho neza!", "lang": "rw", "speech_rate": 1.0}'

Response

Returns a URL to the generated audio file.

{
  "generated_audio_url": "path/file_name.wav"
}

Try it

Interactive PlaygroundConvert Kinyarwanda text to speech
Access mode
cURL
curl -X POST "https://api.pindo.io/ai/tts/rw/public" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Muraho neza!",
    "speech_rate": 1.0
  }'